\version "2.19.0"

\include "bartok-pc-3-1.ly"
\include "bartok-pc-3-2.ly"
\include "bartok-pc-3-3.ly"

\include "bartok-pc-3-paged-title.ly"


\header {
    instrument = "Corno 3° (Fa)"
}


breaksI = <<
\mvtItimeline
{
    % \time 3/4
    s2.*32 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*49 |
    \barNumberCheck # 89
    % \time 2/4
    s2*4 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    s2.*57 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*34 |
    \barNumberCheck # 188
    % \bar "|."
}
>>

cuesI = <<
\mvtItimeline
{
    \override TextScript.font-size = #0
    % \time 3/4
    s2.*16 |
    \barNumberCheck # 17
    \cueDuring mvtIhrnI #DOWN { <>^"Corno 1" s2.*7 | }
    <>^\markup{(Cor.3)}
    s2.*9 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*20 |
    \barNumberCheck # 60
    \cueDuring mvtIhrnI #DOWN { <>^"Corno 1" s2.*6 | }
    <>^\markup{(Cor.3)}
    s2.*23 |
    \barNumberCheck # 89
    % \time 2/4
    s2*4 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 100
    \cueDuring mvtIhrnI #DOWN { <>^"Corno 1" s2.*7 | }
    \barNumberCheck # 107
    <>^\markup\center-align{(Cor.3)}
    s2.*28 |
    \barNumberCheck # 135
    \cueDuring mvtIhrnII #DOWN { <>^"Corno 2" s2.*3 | }
    s2.*5 |
    \barNumberCheck # 143
    <>^\markup{(Cor.3)}
    s2.*10 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*11 |
    \barNumberCheck # 165
    \cueDuring mvtIhrnI #DOWN { <>^"Corno 1" s2.*2 | }
    s2.*4 |
    \barNumberCheck # 171
    <>^\markup\center-align{(Cor.3)}
    s2.*17 |
    \barNumberCheck # 188
    % \bar "|."
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtItempi

        \new Staff \with {
        } <<
            \mvtIhrnIII
            \cuesI
            \breaksI
        >>
    >>

    \header {
        piece = \mvtIpiece
        % breakbefore = ##t
    }
    \layout {
    }
}


breaksII = <<
\mvtIItimeline
{
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*34 ||
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

cuesII = <<
\mvtIItimeline
{
    \override TextScript.font-size = #0
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    \cueDuring mvtIIclI #UP { <>^"Clarinetto 1" s2.*6 | }
    s2.*2 |
    \barNumberCheck # 72
    <>^\markup\center-align{(Cor.3)}
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*23 ||
    \barNumberCheck # 112
    \cueDuring mvtIIhrnI #UP { <>^"Corno 1" s1*2 | }
    s1*2 |
    \cueDuring mvtIIhrnI #DOWN { s1*4 | }
    s1*3 ||
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    <>^\markup\center-align{(Cor.3)}
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIItempi

        \new Staff \with {
        } <<
            \mvtIIhrnIII
            \cuesII
            \breaksII
        >>
    >>

    \header {
        piece = \mvtIIpiece
        % breakbefore = ##t
    }
    \layout {
    }
}


breaksIII = <<
\mvtIIItimeline
{
    % \time 3/8
    \barNumberCheck # 138
    s4.*53
    \barNumberCheck # 191
    \pageTurn
    s4.*236
    \barNumberCheck # 427
    % \time 2/4
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*171 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*77 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \override TextScript.font-size = #0
    % \time 3/8
    \barNumberCheck # 138
    \cueDuringWithClef mvtIIIpiRH #UP "bass" { <>^\markup{Pianoforte} s4. | s8. }
    \cueDuring mvtIIIpiRH #UP { s8. | s4. <>) | }
    \barNumberCheck # 141
    <>^\markup{(Cor.3)}
    s4.*50
    \barNumberCheck # 191
    \cueDuring mvtIIIhrnI #DOWN { <>^"Corno 1" s4.*8 | }
    \barNumberCheck # 199
    s4.*7
    \barNumberCheck # 206
    <>^\markup\center-align{(Cor.3)}
    s4.*108
    \barNumberCheck # 314
    \cueDuring mvtIIIpiRH #UP { <>^\markup{Pianoforte} s4.*9 | }
    \barNumberCheck # 323
    s4.*2
    \barNumberCheck # 325
    <>^\markup\center-align{(Cor.3)}
    s4.*96
    \barNumberCheck # 421
    \cueDuring mvtIIIobI #UP {
        <>^"Ob.,Cl.,Fg." s4.*6 |
        \barNumberCheck # 427
        % \time 2/4
        s2*2 |
    }
    s2*6 |
    \barNumberCheck # 435
    <>^\markup\center-align{(Cor.3)}
    s2*38 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*32 |
    \barNumberCheck # 505
    \cueDuring mvtIIIhrnI #UP { <>^"Corno 1" s4.*14 | }
    \barNumberCheck # 519
    <>^\markup\center-align{(Cor.3)}
    s4.*8 |
    \barNumberCheck # 527
    <>^\markup\center-align{(Cor.3)}
    s4.*117 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*61 |
    \barNumberCheck # 705
    \cueDuring mvtIIIhrnI #UP { <>^"Corno 1" s2.*8 | }
    \barNumberCheck # 713
    <>^\markup\center-align{(Cor.3)}
    s2.*8 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIIItempi

        \new Staff \with {
        } <<
            \mvtIIIhrnIII
            \cuesIII
            \breaksIII
        >>
    >>

    \header {
        piece = \mvtIIIpiece
        % breakbefore = ##t
    }
    \layout {
    }
}
