\version "2.19.0"

\include "bartok-pc-3-1.ly"
\include "bartok-pc-3-2.ly"
\include "bartok-pc-3-3.ly"

\include "bartok-pc-3-paged-title.ly"


\header {
    instrument = "Oboe 1°"
}


breaksI = <<
\mvtItimeline
{
    % \time 3/4
    s2.*32 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*49 |
    \barNumberCheck # 89
    % \time 2/4
    s2*4 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    s2.*57 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 158
    \pageTurn
    s2.*30 |
    \barNumberCheck # 188
    % \bar "|."
}
>>


cuesI = <<
{
    \override TextScript.font-size = #0
    % \time 3/4
    \cueDuring mvtIpiRH #UP { \at 2. <>^"Pianoforte" s2.*14 | }
    <>^\markup{(Ob.1)}
    s2.*18 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 44
    \cueDuringWithClef mvtIvla #DOWN "alto" { <>^"Viola" s2.*4 | }
    <>^\markup\center-align{(Ob.1)}
    s2.*41 |
    \barNumberCheck # 89
    % \time 2/4
    s2*4 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    s2.*17 |
    \barNumberCheck # 113
    \break
    s2.*23 |
    \barNumberCheck # 136
    \cueDuring mvtIvlnI #UP { \at 4. <>^"Violino I" s2.*3 | }
    <>^\markup{(Ob.1)}
    s2.*14 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*34 |
    \barNumberCheck # 188
    % \bar "|."
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtItempi

        \new Staff \with {
        } <<
            \mvtIobI
            \cuesI
            \breaksI
        >>
    >>

    \header {
        piece = \mvtIpiece
        % breakbefore = ##t
    }
    \layout {
    }
}


breaksII = <<
\mvtIItimeline
{
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*34 ||
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

cuesII = <<
\mvtIItimeline
{
    \override TextScript.font-size = #0
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*23 |
    \barNumberCheck # 54
    \cueDuring mvtIIvlnI #UP { <>^\markup{Violino I} s1 | s2. }
    \cueDuringWithClef mvtIIvc #UP "bass" { <>^\markup{Violoncello} s4 |
        \barNumberCheck # 56
        % \time 3/2
        s1. |
        % \time 4/4
        s1 |
    }
    \barNumberCheck # 58
    <>^\markup\center-align{(Ob.1)}
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*34 ||
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    <>_\markup\right-align\bold\huge{V.S.}
    \barNumberCheck # 138
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIItempi

        \new Staff \with {
        } <<
            \mvtIIobI
            \cuesII
            \breaksII
            \breaksII
        >>
    >>

    \header {
        piece = \mvtIIpiece
        % breakbefore = ##t
    }
    \layout {
    }
}


breaksIII = <<
\mvtIIItimeline
{
    % \time 3/8
    \barNumberCheck # 138
    s4.*289
    \barNumberCheck # 427
    % \time 2/4
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*48 |
    \barNumberCheck # 521
    \pageTurn
    s4.*123 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*77 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \override TextScript.font-size = #0
    % \time 3/8
    \barNumberCheck # 138
    \cueDuringWithClef mvtIIIpiRH #DOWN "bass" { <>^\markup{Pianoforte} s4. | s8. }
    \cueDuring mvtIIIpiRH #DOWN { s8. | s4. <>) | }
    \barNumberCheck # 141
    <>^\markup\center-align{(Ob.1)}
    s4.*131
    \barNumberCheck # 272
    \cueDuring mvtIIIclI #DOWN { <>^"Clarinetto 1" s4.*13 | }
    \barNumberCheck # 285
    <>^\markup\center-align{(Ob.1)}
    s4.*142
    \barNumberCheck # 427
    % \time 2/4
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*171 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*77 |
    \barNumberCheck # 721
    % \time 3/8
    \cueDuring mvtIIItrpI #DOWN { <>^"Tromba 1" s4.*8 | }
    <>^\markup\center-align{(Ob.1)}
    s4.*40
    \barNumberCheck # 769
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIIItempi

        \new Staff \with {
        } <<
            \mvtIIIobI
            \cuesIII
            \breaksIII
        >>
    >>

    \header {
        piece = \mvtIIIpiece
        breakbefore = ##t
    }
    \layout {
    }
}
