\version "2.19.0"

\include "bartok-pc-3-1.ly"
\include "bartok-pc-3-2.ly"
\include "bartok-pc-3-3.ly"

\include "bartok-pc-3-paged-title.ly"

\header {
    instrument = "Pianoforte"
}

\paper {
    indent = 0
}

% #(set-global-staff-size 16)

% %{
\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) \new PianoStaff <<
        % \new Dynamics \mvtIbreaks

        \new MarkLine \mvtItempi

        \new Staff = "up" <<
            \mvtIpiRH
        >>
        \new Dynamics <<
            \mvtIpiDyn
        >>
        \new Staff = "down" <<
            \mvtIpiLH
        >>
    >>

    \header {
        piece = \mvtIpiece
        % breakbefore = ##t
    }
}
% %}

cuesII = <<
\mvtIItimeline
{
    \override TextScript.font-size = #0
    % \time 4/4
    s1*8 |
    \cueDuringWithClef mvtIIvc #DOWN "bass" { <>^"Violoncello" s1*7 | }
    s1*14 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*34 |
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

% %{
\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) \new PianoStaff <<
        \new MarkLine \mvtIItempi

        \new Staff = "up" <<
            \mvtIIpiRH
            \cuesII
        >>
        \new Dynamics <<
            \mvtIIpiDyn
        >>
        \new Staff = "down" <<
            \mvtIIpiLH
        >>
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}
% %}


cuesIII = <<
\mvtIIItimeline
{
    \override TextScript.font-size = #0
    % \time 3/8
    \barNumberCheck # 138
    s4.*75
    \barNumberCheck # 213
    % \break      % Don't want to extend that battute line so far"
    \at 4. \noBreak \cueDuringWithClef mvtIIItimp #UP "bass" { <>^\markup\column{"Timpani Solo" "(a tre battute)"} s4.*15 | }
    \barNumberCheck # 228
    s4.*108
    \barNumberCheck # 336
    \cueDuring mvtIIIvlnI #UP { <>^"Violino I" s4.*8 | }
    \barNumberCheck # 344
    s4.*83
    \barNumberCheck # 427
    % \time 2/4
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*171 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*77 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

% %{
\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) \new PianoStaff <<
        \new MarkLine \mvtIIItempi

        \new Staff = "up" <<
            \mvtIIIpiRH
            \cuesIII
        >>
        \new Dynamics <<
            \mvtIIIpiDyn
        >>
        \new Staff = "down" <<
            \mvtIIIpiLH
        >>
    >>

    \header {
        piece = \mvtIIIpiece
        breakbefore = ##t
    }
}
% %}
