#!/usr/bin/perl

$skip = 0;
while (<>) {
    # print "skip = $skip; now consider $_\n";
    if ($skip > 0) {
        $skip -= 1;
    } elsif ( /warning: cannot find context to switch to/ ) {
        $skip = 2;
    } elsif ( /programming error: Grob direction requested while calculation in progress./ ) {
        $skip = 1;
    } elsif ( /warning: (cannot have note heads and rests together on a stem|rhythmic head is not part of a rhythmic column)/ ) {
        $skip = 2;
    } elsif ( /programming error: No spacing entry from Item to `custos'/ ) {
        $skip = 2;
    } elsif ( /ly:([0-9]+):.* warning: adding note head to incompatible stem \(type = 1\/[14]\)/ ) {
        $skip = 2;
        $skip_line = $1;
    } elsif ( /ly:([0-9]+):.* warning: maybe input should specify polyphonic voices/ ) {
        if ($1 == $skip_line) {
            $skip = 2;
            $skip_line = -1;
        } else {
            print $_;
        }
        } elsif ( /^ *cannot have note heads and rests together on a stem$/ ) {
    } elsif ( /ly:([0-9]+):.* warning: cannot find context to switch to/ ) {
        $skip = 2;
    } elsif ( /programming error: no solution found for Bezier intersection/ ) {
        $skip = 1;
    } elsif ( /^        maybe input should specify polyphonic voices$/ ) {
    } elsif ( /^        no viable initial configuration found$/ ) {
    } elsif ( /ly:([0-9]+):.* warning: Two simultaneous rest events, junking this one/ ) {
        $skip = 2;
    } elsif ( /ly:([0-9]+):.* warning: Previous rest event here/ ) {
        $skip = 2;
    } elsif ( /ly:([0-9]+):.* warning: Two simultaneous absolute-dynamic events, junking this one/ ) {
        $skip = 2;
    } elsif ( /ly:([0-9]+):.* warning: Previous absolute-dynamic event here/ ) {
        $skip = 2;
    } elsif ( /^        no viable initial configuration found$/ ) {
    } elsif ( /Barcheck failed got 138 expect/ ) {
        $skip = 2;
    } else {
        print $_;
    }
}
